### Class

# Foundry CliCommandTree

#### Description [src]

    final class Foundry.CliCommandTree : GObject.Object
    {
      /* No available fields */
    }

Manages a hierarchical tree of CLI commands.

FoundryCliCommandTree provides functionality for organizing and managing command line interface commands in a hierarchical structure. It supports command registration, lookup, and provides efficient access to command functionality for the CLI system.

#### Ancestors

- GObject

#### Constructors

###### foundry_cli_command_tree_new

No description available.

#### Functions

###### foundry_cli_command_tree_get_default

Gets the default instance for use by the foundry CLI tool.

#### Instance methods

###### foundry_cli_command_tree_complete

No description available.

###### foundry_cli_command_tree_lookup

No description available.

###### foundry_cli_command_tree_register

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCliCommandTreeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.